Skip to content
Get started

List pin types

GET/pin-types

Returns a list of available pin types (colors and labels) for the authenticated company.

Header ParametersExpand Collapse
"rotor-api-version": "1.1.0"
ReturnsExpand Collapse
data: optional array of object { id, color, label }
id: string
color: string

Hex color code for the pin

label: string

Display label for the pin type

status: optional string

List pin types

curl https://api.getrotor.com/open-api/pin-types \
    -H "x-api-key: $ROTOR_API_KEY"
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "color": "#FF0000",
      "label": "High Priority"
    }
  ],
  "status": "success"
}
{
  "status": "error",
  "message": "Authentication required. Provide x-api-key header.",
  "error_code": "AUTHENTICATION_REQUIRED"
}
{
  "status": "error",
  "message": "Forbidden: required scope 'leads:read' not granted for this API key",
  "error_code": "INSUFFICIENT_SCOPE"
}
{
  "status": "error",
  "message": "Daily API key request limit of 1000 exceeded",
  "error_code": "RATE_LIMIT_EXCEEDED"
}
{
  "status": "error",
  "message": "Internal server error"
}
Returns Examples
{
  "data": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "color": "#FF0000",
      "label": "High Priority"
    }
  ],
  "status": "success"
}
{
  "status": "error",
  "message": "Authentication required. Provide x-api-key header.",
  "error_code": "AUTHENTICATION_REQUIRED"
}
{
  "status": "error",
  "message": "Forbidden: required scope 'leads:read' not granted for this API key",
  "error_code": "INSUFFICIENT_SCOPE"
}
{
  "status": "error",
  "message": "Daily API key request limit of 1000 exceeded",
  "error_code": "RATE_LIMIT_EXCEEDED"
}
{
  "status": "error",
  "message": "Internal server error"
}